%define debug_package %{nil}

Name:			xmount
Summary:		Tool to crossmount between multiple input and output harddisk images
Version:		0.7.5
Release:		1%{?dist}
License:		GPL
Group:			Applications/System
URL:			https://www.pinguin.lu/
Source0:		%{name}-%{version}.tar.gz
Buildroot:		%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		fuse openssl zlib libewf afflib
BuildRequires:		fuse-devel libewf-devel >= 20110903 afflib-devel
BuildRequires:		cmake

%description
xmount allows you to convert on-the-fly between multiple input and output
harddisk image types. xmount creates a virtual file system using FUSE
(Filesystem in Userspace) that contains a virtual representation of the input
harddisk image. The virtual representation can be in raw DD, VirtualBox's
virtual disk file format, Microsoft's Virtual Hard Disk Image format or in
VMware's VMDK format. Input harddisk images can be raw DD or EWF (Expert
Witness Compression Format) files. In addition, xmount also supports virtual
write access to the output files that is redirected to a cache file. This
makes it for example possible to boot acquired harddisk images using QEMU,
KVM, VirtualBox, VMware or alike. 
%prep
%setup -q

%build
mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_SKIP_RPATH=ON -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
make

%install
cd build
%{__make} DESTDIR=%{buildroot} install

%clean
rm -fr %{buildroot}

%post

%preun

%postun

%files
%defattr(-,root,root) 
%{_bindir}/*
%{_mandir}/*
%{_exec_prefix}/lib/%{name}/*.so
%doc AUTHORS COPYING INSTALL NEWS README ROADMAP

%changelog
* Tue May 30 2017 Lawrence R. Rogers <lrr@cert.org> - 0.7.5-1
* Release 0.7.5-1
	New for version 0.7.5:
	  - Improved and fixed the way fsname is built.
	  - Added a patch fixing a bug in libxmount_input_aewf (supplied by Guy Voncken)

	New for version 0.7.4:
	  - Re-enabled full OSx support
	  - libxmount_input_aewf input library is now able to decompress EWF chunks in parallel, which will increase read speed

* Mon May  9 2016 Lawrence R. Rogers <lrr@cert.org> - 0.7.3-2
* Release 0.7.3-2
	Rebuilt with different libewf.

* Fri Nov 14 2014 <euitto@gmail.com> - 0.7.3-1
* Release 0.7.3-1
	* New build system using cmake.
	* New command line syntax. Make sure to check the man page!
	* New --offset and --sizelimit command line parameters.
	* Support for multiple input images.
	* Support for image morphing. Currently supporting combine, raid (RAID0) and unallocated (HFS and FAT).
	* Internal support for ewf files.

* Wed Oct  1 2014 <euitto@gmail.com> - 0.7.2-1
* Release 0.7.2-1
	* Fixed bug in FreeResources(). Do not free vdi.p_vdi_block_map as it is part of vdi.p_vdi_header.

* Tue Sep 30 2014 <euitto@gmail.com> - 0.7.1-1
* Release 0.7.1-1
	* Fixed bug with --sizelimit command line option.

* Fri Sep 26 2014 <euitto@gmail.com> - 0.7.0-1
* Release 0.7.0-1
	* Changed build system from autoconf / automake to cmake
	* Moved input image support into external libs
	* Added morphing functionality including combine, raid and unallocated
	* Added --offset and --sizelimit command line parameter
	* Massive code cleanup including some small bug fixes

* Thu Jan 30 2014 <euitto@gmail.com> - 0.6.0-2
* Release 0.6.0-2
	Patch for newer libewf support.

* Sun May 6 2012 Lawrence R. Rogers <lrr@cert.org> 0.5.0-1
* Release 0.5.0-1
	Added support for virtual VHD image file emulation

* Sat Jan 7 2012 Lawrence R. Rogers <lrr@cert.org> 0.4.7-1
* Release 0.4.7-1
	This version circumvents a small libewf2 bug

* Mon Oct 17 2011 Lawrence R. Rogers <lrr@cert.org> 0.4.6-1
* Release 0.4.6-1
	Rebuild to use version 2 interface to libewf (official patch)

* Wed Oct 12 2011 Lawrence R. Rogers <lrr@cert.org> 0.4.5-2
* Release 0.4.5-2
	Rebuilt to use version 2 interface to libewf

* Wed Aug 19 2009 Gillen Daniel <gillen.dan@pinguin.lu>
— build package
